Sujet fermé
Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5

Sniping Ebay
#1

Bonjour,

Sur mon Raspberry PI avec Raspbian, j'ai voulu mettre en place un Sniper Ebay.
Sur mon PC fixe allumé tout le temps j utilisais JBidWatcher mais il n'est pas utilisable sur mon Raspbian car il faut un serveur X ce que je n'ai pas (et en plus il mange pas mal de ressources).
J'ai donc trouve esniper qui est en ligne de commande. Pas essayé mais je l'ai installé pour le coupler à es-f, une interface Web dédiée.
Or, il semblerait que es-f ne gère que les ebays US, UK ou DE. pas la France.
Quelqu'un a t il déjà installé un ebay sniper sur Raspbian?

Merci
#2

Salut
Pour moi ton post est du chinois ;-) Mais par contre sous Raspbian il y a bien un serveur X si tu utilises la distribution officielle
Si ca peut t'aider ...

Raspberry Pi Home Server : http://www.pihomeserver.fr
Hotspot Wifi avec portail captif pour Raspberry Pi: Kupiki Hotspot
#3

Merci pour ta réponse. Cependant, je ne veux pas l utiliser car cela consommerait trop de ressources.
Je cherche juste un sniper ebay avec interface Web qui me permette d intervenir sur Ebay.fr
#4

Salut,
Je ne connaissais pas les détails de la pratique ni les 2 softs que tu mentionnes... mais je trouve çà marrant Smile

Je viens vite fait de regarder les sources de es-f ...
Effectivement çà à l'air de se passer dans application/classes/ebayparser/
Il y a du .com .co.uk .de ( .php et xml )
Les fichiers ont l'air assez simple, j'imagine que tu pourrais faire un parser .fr pour que le developpeur puisse les include....


Exemple de code à adapter pour la version française:

Code :
<url name="default">
    <![CDATA[
    http://search.ebay.co.uk/%s
    ]]>
  </url>

  <section name="Patterns">

    <!-- Invalid item -->
    <pattern name="Invalid">
      <![CDATA[
      ~<title>Invalid item</title>~i => 0
      ]]>
    </pattern>
#5

Bon en fait, je viens de tester et il n'a pas été mis à jour depuis belle lurette. Comme Ebay a changé ses pages, le parser ne trouve plus rien. Or je comptais m inspirer de la comparaison d une page ebay.de/ebay.fr pour comprendre comment faire un nouveau parser.
Dommage.
#6

Bonjour tout le monde.
J'ai vu ce post et je ne connaissais pas, j'aime bien le fait de pouvoir placer une enchère dans les dernières secondes, cela évite de faire grimper les prix.
Du coup j'ai essayé d'utiliser esniper en ligne de commande pour tester mais je n'arrive pas à placer une enchère, j'ai ce message concernant les certificats SSL :
Code :
[email protected] ~/snipe $ ./esniper -u finopat93 -P -c config.txt ZIF.txt
Enter eBay password:

Cannot connect to URL https://signin.ebay.com/ws/eBayISAPI.dll?SignIn: Problem with the SSL CA cert (path? access rights?)

Je n'ai pas trouvé beaucoup de pistes sur google, certaines parlent de curl, je viens de mettre la dernière version il me semble (pour compiler esniper) :

Code :
[email protected] ~/snipe $ curl -V
curl 7.26.0 (arm-unknown-linux-gnueabihf) libcurl/7.26.0 OpenSSL/1.0.1e zlib/1.2.7 libidn/1.25 libssh2/1.4.2 librtmp/2.3
Protocols: dict file ftp ftps gopher http https imap imaps ldap pop3 pop3s rtmp rtsp scp sftp smtp smtps telnet tftp
Features: Debug GSS-Negotiate IDN IPv6 Largefile NTLM NTLM_WB SSL libz TLS-SRP
[email protected] ~/snipe $

est ce que quelqu'un a une idée du pb ?
#7

Salut à toi,

Peut-être tu n'as pas mis le chemin vers les cacert du certificat ssl de ebay. As-tu essayé d'installer la version d'esniper présente dans les dépots (avec apt-get je veux dire...)?

Cool
#8

arf, non je n'ai pas essayé avec apt-get, j'étais trop fier d'être arrivé à compiler le fichier téléchargé sur sourceforge-net Tongue
Je cours essayer
Merci pour la piste
#9

Bon, cela n'a pas fonctionné, la version installé par apt-get est la 2.27 et quand je l'utilise j'ai un crash :
"esniper encountered a bug. ..."

Mais cela m'a permis de chercher d'une autre manière sur google et je suis tombé sur
http://sourceforge.net/p/esniper/bugs/642/

et la solution a été d'installer libcurl4-gnutls-dev alors que j'avais installé libcurl4-nss-dev .........
comme souvent le pb était dans l'interface chaise <=> clavier Tongue

merci pour le coup de main
#10

Citation :...
arf, non je n'ai pas essayé avec apt-get, j'étais trop fier d'être arrivé à compiler le fichier téléchargé sur sourceforge-net Tongue ...

L'homme qui ne tente rien ne se trompe qu'une fois - Lao-tseu Big Grin

Cool
#11

J'ai tenté d'utiliser esniper (2.27 du dépot ou la 2.31 compilée à la main) et j'ai droit à
Code :
[== Indéfini ==]
Cannot connect to URL : SSL connect error: gnutls_handshake() failed: A TLS fatal alert has been received.
J'ai défini un fichier de config, un fichier d'actions.
J'ai bien installé libcurl4-gnutls-dev.
Avez-vous une idée?
Merci
Sujet fermé


Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)